Index: protocols/msn/ns.c
===================================================================
--- protocols/msn/ns.c	(revision 4f161e3abeecee0722487e9d61a85f6c953d11bd)
+++ protocols/msn/ns.c	(revision 5ff46180e5378acd6d103d9314175c78530bda7e)
@@ -694,186 +606,178 @@
 				   have the notification server send them directly, I was
 				   pretty sure I saw Pidgin do it..
-				   
+
 				   At least give a notification for now, seems like a
 				   reasonable thing to do. Only problem is, they'll keep
 				   coming back at login time until you read them using a
 				   different client. :-( */
-				
-				char *xml = get_rfc822_header( body, "Mail-Data:", blen );
+
+				char *xml = get_rfc822_header(body, "Mail-Data:", blen);
 				struct xt_node *md, *m;
-				
-				if( !xml )
+
+				if (!xml) {
 					return 1;
-				md = xt_from_string( xml, 0 );
-				if( !md )
+				}
+				md = xt_from_string(xml, 0);
+				if (!md) {
 					return 1;
-				
-				for( m = md->children; ( m = xt_find_node( m, "M" ) ); m = m->next )
-				{
-					struct xt_node *e = xt_find_node( m->children, "E" );
-					struct xt_node *rt = xt_find_node( m->children, "RT" );
+				}
+
+				for (m = md->children; (m = xt_find_node(m, "M")); m = m->next) {
+					struct xt_node *e = xt_find_node(m->children, "E");
+					struct xt_node *rt = xt_find_node(m->children, "RT");
 					struct tm tp;
 					time_t msgtime = 0;
-					
-					if( !e || !e->text )
+
+					if (!e || !e->text) {
 						continue;
-					
-					memset( &tp, 0, sizeof( tp ) );
-					if( rt && rt->text &&
-					    sscanf( rt->text, "%4d-%2d-%2dT%2d:%2d:%2d.",
-					            &tp.tm_year, &tp.tm_mon, &tp.tm_mday,
-					            &tp.tm_hour, &tp.tm_min, &tp.tm_sec ) == 6 )
-					{
+					}
+
+					memset(&tp, 0, sizeof(tp));
+					if (rt && rt->text &&
+					    sscanf(rt->text, "%4d-%2d-%2dT%2d:%2d:%2d.",
+					           &tp.tm_year, &tp.tm_mon, &tp.tm_mday,
+					           &tp.tm_hour, &tp.tm_min, &tp.tm_sec) == 6) {
 						tp.tm_year -= 1900;
-						tp.tm_mon --;
-						msgtime = mktime_utc( &tp );
-						
+						tp.tm_mon--;
+						msgtime = mktime_utc(&tp);
+
 					}
-					imcb_buddy_msg( ic, e->text, "<< \002BitlBee\002 - Received offline message. BitlBee can't show these. >>", 0, msgtime );
-				}
-				
-				g_free( xml );
-				xt_free_node( md );
-			}
-			else
-			{
-				debug( "Can't handle %s packet from notification server", ct );
-			}
-			
-			g_free( ct );
-		}
-	}
-	else if( strcmp( cmd[0], "UBX" ) == 0 )
-	{
+					imcb_buddy_msg(ic, e->text,
+					               "<< \002BitlBee\002 - Received offline message. BitlBee can't show these. >>", 0,
+					               msgtime);
+				}
+
+				g_free(xml);
+				xt_free_node(md);
+			} else {
+				debug("Can't handle %s packet from notification server", ct);
+			}
+
+			g_free(ct);
+		}
+	} else if (strcmp(cmd[0], "UBX") == 0) {
 		struct xt_node *ubx, *psm;
 		char *psm_text = NULL;
-		
-		ubx = xt_from_string( msg, msglen );
-		if( ubx && strcmp( ubx->name, "Data" ) == 0 &&
-		    ( psm = xt_find_node( ubx->children, "PSM" ) ) )
+
+		ubx = xt_from_string(msg, msglen);
+		if (ubx && strcmp(ubx->name, "Data") == 0 &&
+		    (psm = xt_find_node(ubx->children, "PSM"))) {
 			psm_text = psm->text;
-		
-		imcb_buddy_status_msg( ic, msn_normalize_handle( cmd[1] ), psm_text );
-		xt_free_node( ubx );
-	}
-	else if( strcmp( cmd[0], "ADL" ) == 0 )
-	{
+		}
+
+		imcb_buddy_status_msg(ic, msn_normalize_handle(cmd[1]), psm_text);
+		xt_free_node(ubx);
+	} else if (strcmp(cmd[0], "ADL") == 0) {
 		struct xt_node *adl, *d, *c;
-		
-		if( !( adl = xt_from_string( msg, msglen ) ) )
+
+		if (!(adl = xt_from_string(msg, msglen))) {
 			return 1;
-		
-		for( d = adl->children; d; d = d->next )
-		{
+		}
+
+		for (d = adl->children; d; d = d->next) {
 			char *dn;
-			if( strcmp( d->name, "d" ) != 0 ||
-			    ( dn = xt_find_attr( d, "n" ) ) == NULL )
+			if (strcmp(d->name, "d") != 0 ||
+			    (dn = xt_find_attr(d, "n")) == NULL) {
 				continue;
-			for( c = d->children; c; c = c->next )
-			{
+			}
+			for (c = d->children; c; c = c->next) {
 				bee_user_t *bu;
 				struct msn_buddy_data *bd;
 				char *cn, *handle, *f, *l;
 				int flags;
-				
-				if( strcmp( c->name, "c" ) != 0 ||
-				    ( l = xt_find_attr( c, "l" ) ) == NULL ||
-				    ( cn = xt_find_attr( c, "n" ) ) == NULL )
+
+				if (strcmp(c->name, "c") != 0 ||
+				    (l = xt_find_attr(c, "l")) == NULL ||
+				    (cn = xt_find_attr(c, "n")) == NULL) {
 					continue;
-				
+				}
+
 				/* FIXME: Use "t" here, guess I should just add it
 				   as a prefix like elsewhere in the protocol. */
-				handle = g_strdup_printf( "%s@%s", cn, dn );
-				if( !( ( bu = bee_user_by_handle( ic->bee, ic, handle ) ) ||
-				       ( bu = bee_user_new( ic->bee, ic, handle, 0 ) ) ) )
-				{
-					g_free( handle );
+				handle = g_strdup_printf("%s@%s", cn, dn);
+				if (!((bu = bee_user_by_handle(ic->bee, ic, handle)) ||
+				      (bu = bee_user_new(ic->bee, ic, handle, 0)))) {
+					g_free(handle);
 					continue;
 				}
-				g_free( handle );
+				g_free(handle);
 				bd = bu->data;
-				
-				if( ( f = xt_find_attr( c, "f" ) ) )
-				{
-					http_decode( f );
-					imcb_rename_buddy( ic, bu->handle, f );
-				}
-				
-				flags = atoi( l ) & 15;
-				if( bd->flags != flags )
-				{
+
+				if ((f = xt_find_attr(c, "f"))) {
+					http_decode(f);
+					imcb_rename_buddy(ic, bu->handle, f);
+				}
+
+				flags = atoi(l) & 15;
+				if (bd->flags != flags) {
 					bd->flags = flags;
-					msn_buddy_ask( bu );
-				}
-			}
-		}
-	}
-	else if( strcmp( cmd[0], "UBM" ) == 0 )
-	{
+					msn_buddy_ask(bu);
+				}
+			}
+		}
+	} else if (strcmp(cmd[0], "UBM") == 0) {
 		/* This one will give us msgs from federated networks. Technically
 		   it should also get us offline messages, but I don't know how
 		   I can signal MSN servers to use it. */
 		char *ct, *handle;
-		
-		if( strcmp( cmd[1], ic->acc->user ) == 0 )
-		{
+
+		if (strcmp(cmd[1], ic->acc->user) == 0) {
 			/* With MPOP, you'll get copies of your own msgs from other
 			   sessions. Discard those at least for now. */
 			return 1;
 		}
-		
-		ct = get_rfc822_header( msg, "Content-Type", msglen );
-		if( strncmp( ct, "text/plain", 10 ) != 0 )
-		{
+
+		ct = get_rfc822_header(msg, "Content-Type", msglen);
+		if (strncmp(ct, "text/plain", 10) != 0) {
 			/* Typing notification or something? */
-			g_free( ct );
+			g_free(ct);
 			return 1;
 		}
-		if( strcmp( cmd[2], "1" ) != 0 )
-			handle = g_strdup_printf( "%s:%s", cmd[2], cmd[1] );
-		else
-			handle = g_strdup( cmd[1] );
-		
-		imcb_buddy_msg( ic, handle, body, 0, 0 );
-		g_free( handle );
-	}
-	
+		if (strcmp(cmd[2], "1") != 0) {
+			handle = g_strdup_printf("%s:%s", cmd[2], cmd[1]);
+		} else {
+			handle = g_strdup(cmd[1]);
+		}
+
+		imcb_buddy_msg(ic, handle, body, 0, 0);
+		g_free(handle);
+	}
+
 	return 1;
 }
 
-void msn_auth_got_passport_token( struct im_connection *ic, const char *token, const char *error )
+void msn_auth_got_passport_token(struct im_connection *ic, const char *token, const char *error)
 {
 	struct msn_data *md;
-	
+
 	/* Dead connection? */
-	if( g_slist_find( msn_connections, ic ) == NULL )
+	if (g_slist_find(msn_connections, ic) == NULL) {
 		return;
-	
+	}
+
 	md = ic->proto_data;
-	
-	if( token )
-	{
-		msn_ns_write( ic, -1, "USR %d SSO S %s %s {%s}\r\n", ++md->trId, md->tokens[0], token, md->uuid );
-	}
-	else
-	{
-		imcb_error( ic, "Error during Passport authentication: %s", error );
-		imc_logout( ic, TRUE );
-	}
-}
-
-void msn_auth_got_contact_list( struct im_connection *ic )
+
+	if (token) {
+		msn_ns_write(ic, -1, "USR %d SSO S %s %s {%s}\r\n", ++md->trId, md->tokens[0], token, md->uuid);
+	} else {
+		imcb_error(ic, "Error during Passport authentication: %s", error);
+		imc_logout(ic, TRUE);
+	}
+}
+
+void msn_auth_got_contact_list(struct im_connection *ic)
 {
 	struct msn_data *md;
-	
+
 	/* Dead connection? */
-	if( g_slist_find( msn_connections, ic ) == NULL )
+	if (g_slist_find(msn_connections, ic) == NULL) {
 		return;
-	
+	}
+
 	md = ic->proto_data;
-	msn_ns_write( ic, -1, "BLP %d %s\r\n", ++md->trId, "BL" );
-}
-
-static gboolean msn_ns_send_adl_1( gpointer key, gpointer value, gpointer data )
+	msn_ns_write(ic, -1, "BLP %d %s\r\n", ++md->trId, "BL");
+}
+
+static gboolean msn_ns_send_adl_1(gpointer key, gpointer value, gpointer data)
 {
 	struct xt_node *adl = data, *d, *c;
@@ -884,29 +788,30 @@
 	char *domain;
 	char l[4];
-	
-	if( ( bd->flags & 7 ) == 0 || ( bd->flags & MSN_BUDDY_ADL_SYNCED ) )
+
+	if ((bd->flags & 7) == 0 || (bd->flags & MSN_BUDDY_ADL_SYNCED)) {
 		return FALSE;
-	
-	strcpy( handle, bu->handle );
-	if( ( domain = strchr( handle, '@' ) ) == NULL ) /* WTF */
-		return FALSE; 
+	}
+
+	strcpy(handle, bu->handle);
+	if ((domain = strchr(handle, '@')) == NULL) {    /* WTF */
+		return FALSE;
+	}
 	*domain = '\0';
-	domain ++;
-	
-	if( ( d = adl->children ) == NULL ||
-	    g_strcasecmp( xt_find_attr( d, "n" ), domain ) != 0 )
-	{
-		d = xt_new_node( "d", NULL, NULL );
-		xt_add_attr( d, "n", domain );
-		xt_insert_child( adl, d );
-	}
-	
-	g_snprintf( l, sizeof( l ), "%d", bd->flags & 7 );
-	c = xt_new_node( "c", NULL, NULL );
-	xt_add_attr( c, "n", handle );
-	xt_add_attr( c, "l", l );
-	xt_add_attr( c, "t", "1" ); /* FIXME: Network type, i.e. 32 for Y!MSG */
-	xt_insert_child( d, c );
-	
+	domain++;
+
+	if ((d = adl->children) == NULL ||
+	    g_strcasecmp(xt_find_attr(d, "n"), domain) != 0) {
+		d = xt_new_node("d", NULL, NULL);
+		xt_add_attr(d, "n", domain);
+		xt_insert_child(adl, d);
+	}
+
+	g_snprintf(l, sizeof(l), "%d", bd->flags & 7);
+	c = xt_new_node("c", NULL, NULL);
+	xt_add_attr(c, "n", handle);
+	xt_add_attr(c, "l", l);
+	xt_add_attr(c, "t", "1");   /* FIXME: Network type, i.e. 32 for Y!MSG */
+	xt_insert_child(d, c);
+
 	/* Do this in batches of 100. */
 	bd->flags |= MSN_BUDDY_ADL_SYNCED;
@@ -914,128 +819,134 @@
 }
 
-static void msn_ns_send_adl( struct im_connection *ic )
+static void msn_ns_send_adl(struct im_connection *ic)
 {
 	struct xt_node *adl;
 	struct msn_data *md = ic->proto_data;
 	char *adls;
-	
-	adl = xt_new_node( "ml", NULL, NULL );
-	xt_add_attr( adl, "l", "1" );
-	g_tree_foreach( md->domaintree, msn_ns_send_adl_1, adl );
-	if( adl->children == NULL )
-	{
+
+	adl = xt_new_node("ml", NULL, NULL);
+	xt_add_attr(adl, "l", "1");
+	g_tree_foreach(md->domaintree, msn_ns_send_adl_1, adl);
+	if (adl->children == NULL) {
 		/* This tells the caller that we're done now. */
 		md->adl_todo = -1;
-		xt_free_node( adl );
+		xt_free_node(adl);
 		return;
 	}
-	
-	adls = xt_to_string( adl );
-	xt_free_node( adl );
-	msn_ns_write( ic, -1, "ADL %d %zd\r\n%s", ++md->trId, strlen( adls ), adls );
-	g_free( adls );
-}
-
-static void msn_ns_send_adl_start( struct im_connection *ic )
+
+	adls = xt_to_string(adl);
+	xt_free_node(adl);
+	msn_ns_write(ic, -1, "ADL %d %zd\r\n%s", ++md->trId, strlen(adls), adls);
+	g_free(adls);
+}
+
+static void msn_ns_send_adl_start(struct im_connection *ic)
 {
 	struct msn_data *md;
 	GSList *l;
-	
+
 	/* Dead connection? */
-	if( g_slist_find( msn_connections, ic ) == NULL )
+	if (g_slist_find(msn_connections, ic) == NULL) {
 		return;
-	
+	}
+
 	md = ic->proto_data;
 	md->adl_todo = 0;
-	for( l = ic->bee->users; l; l = l->next )
-	{
+	for (l = ic->bee->users; l; l = l->next) {
 		bee_user_t *bu = l->data;
 		struct msn_buddy_data *bd = bu->data;
-		
-		if( bu->ic != ic || ( bd->flags & 7 ) == 0 )
+
+		if (bu->ic != ic || (bd->flags & 7) == 0) {
 			continue;
-		
+		}
+
 		bd->flags &= ~MSN_BUDDY_ADL_SYNCED;
 		md->adl_todo++;
 	}
-	
-	msn_ns_send_adl( ic );
-}
-
-int msn_ns_finish_login( struct im_connection *ic )
+
+	msn_ns_send_adl(ic);
+}
+
+int msn_ns_finish_login(struct im_connection *ic)
 {
 	struct msn_data *md = ic->proto_data;
-	
-	if( ic->flags & OPT_LOGGED_IN )
+
+	if (ic->flags & OPT_LOGGED_IN) {
 		return 1;
-	
-	if( md->adl_todo < 0 )
+	}
+
+	if (md->adl_todo < 0) {
 		md->flags |= MSN_DONE_ADL;
-	
-	if( ( md->flags & MSN_DONE_ADL ) && ( md->flags & MSN_GOT_PROFILE ) )
-	{
-		if( md->flags & MSN_EMAIL_UNVERIFIED )
-			imcb_connected( ic );
-		else
-			return msn_ns_set_display_name( ic, set_getstr( &ic->acc->set, "display_name" ) );
-	}
-	
+	}
+
+	if ((md->flags & MSN_DONE_ADL) && (md->flags & MSN_GOT_PROFILE)) {
+		if (md->flags & MSN_EMAIL_UNVERIFIED) {
+			imcb_connected(ic);
+		} else {
+			return msn_ns_set_display_name(ic, set_getstr(&ic->acc->set, "display_name"));
+		}
+	}
+
 	return 1;
 }
 
-int msn_ns_sendmessage( struct im_connection *ic, bee_user_t *bu, const char *text )
+int msn_ns_sendmessage(struct im_connection *ic, bee_user_t *bu, const char *text)
 {
 	struct msn_data *md = ic->proto_data;
 	int type = 0;
 	char *buf, *handle;
-	
-	if( strncmp( text, "\r\r\r", 3 ) == 0 )
+
+	if (strncmp(text, "\r\r\r", 3) == 0) {
 		/* Err. Shouldn't happen but I guess it can. Don't send others
 		   any of the "SHAKE THAT THING" messages. :-D */
 		return 1;
-	
+	}
+
 	/* This might be a federated contact. Get its network number,
 	   prefixed to bu->handle with a colon. Default is 1. */
-	for( handle = bu->handle; g_ascii_isdigit( *handle ); handle ++ )
+	for (handle = bu->handle; g_ascii_isdigit(*handle); handle++) {
 		type = type * 10 + *handle - '0';
-	if( *handle == ':' )
-		handle ++;
-	else
+	}
+	if (*handle == ':') {
+		handle++;
+	} else {
 		type = 1;
-	
-	buf = g_strdup_printf( "%s%s", MSN_MESSAGE_HEADERS, text );
-	
-	if( msn_ns_write( ic, -1, "UUM %d %s %d %d %zd\r\n%s",
-	                          ++md->trId, handle, type,
-	                          1, /* type == IM (not nudge/typing) */
-	                          strlen( buf ), buf ) )
+	}
+
+	buf = g_strdup_printf("%s%s", MSN_MESSAGE_HEADERS, text);
+
+	if (msn_ns_write(ic, -1, "UUM %d %s %d %d %zd\r\n%s",
+	                 ++md->trId, handle, type,
+	                 1,          /* type == IM (not nudge/typing) */
+	                 strlen(buf), buf)) {
 		return 1;
-	else
+	} else {
 		return 0;
-}
-
-void msn_ns_oim_send_queue( struct im_connection *ic, GSList **msgq )
+	}
+}
+
+void msn_ns_oim_send_queue(struct im_connection *ic, GSList **msgq)
 {
 	GSList *l;
-	
-	for( l = *msgq; l; l = l->next )
-	{
+
+	for (l = *msgq; l; l = l->next) {
 		struct msn_message *m = l->data;
-		bee_user_t *bu = bee_user_by_handle( ic->bee, ic, m->who );
-		
-		if( bu )
-			if( !msn_ns_sendmessage( ic, bu, m->text ) )
+		bee_user_t *bu = bee_user_by_handle(ic->bee, ic, m->who);
+
+		if (bu) {
+			if (!msn_ns_sendmessage(ic, bu, m->text)) {
 				return;
-	}
-	
-	while( *msgq != NULL )
-	{
+			}
+		}
+	}
+
+	while (*msgq != NULL) {
 		struct msn_message *m = (*msgq)->data;
-		
-		g_free( m->who );
-		g_free( m->text );
-		g_free( m );
-		
-		*msgq = g_slist_remove( *msgq, m );
-	}
-}
+
+		g_free(m->who);
+		g_free(m->text);
+		g_free(m);
+
+		*msgq = g_slist_remove(*msgq, m);
+	}
+}
